Subject: [bug#54252] [PATCH] gnu: lemonbar: Update to 1.4.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 11 Mar 2022 14:15:08 -0500

Hi Nicolas,

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> Maxime Devos <[email-masked]> writes:
>
>> Nicolas Goaziou schreef op vr 11-03-2022 om 01:47 [+0100]:
>>> Jai Vetrivelan <[email-masked]> writes:
>>> 
>>> > From dedefb5d5f0389d1e6fb190c9d47a6f8ca398791 Mon Sep 17 00:00:00 2001
>>> > From: Jai Vetrivelan <[email-masked]>
>>> > Date: Sat, 5 Mar 2022 11:17:57 +0530
>>> > Subject: [PATCH] gnu: lemonbar: Update to 1.4.
>>> 
>>> Applied. Thank you.
>>
>> I don't think the null pointer dereferences have been reported upstream
>> yet.
>
> It would probably be a nice thing to do, but I don't think we can
> request packagers to also take care of reporting bugs upstream (or
> fixing them!). It is a different task with a different required skill
> set.

I don't have the full context, but I'll chip in in case it is useful.
When problems in the packaging are discovered as part of our activities,
I think it is part of our duty to at least report them and
cross-reference them via a comment in the package source if possible.

The reason I find this important is that over time, upstream can fix the
problems reported, and we can get rid of substitutions and other
Guix-specific patches, which should help reduce maintenance burden.

I hope this makes sense,

Thank you!

Maxim